<div class="home">

    <div class="slogan">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Pariatur libero rerum tempora eveniet! 
    </div>

    <div class="left-bar">
        <ul>
            <li><h2>Régales toi</h2></li>
            <li><a href="#">Lien 1</a></li>
            <li><a href="#">Lien 2</a></li>
            <li><a href="#">Lien 3</a></li>
            <li><a href="#">Lien 4</a></li>
        </ul>
    </div>

    <div class="compteur">
        <button (click)="openLogin()" alt="Ajoute ton vote"><span class="material-icons add">add_circle</span></button>
        <span class="text">{{ number_v }} personnes</span>
        <span class="text">soutiennent l'idée</span>
    </div>

    <div class="questionnaire">
        <div class="questions">
            <h2>Court questionnaire</h2>
            <div class="question1">
                <div class="question">
                    Lorem ipsum a votre avis ?
                </div>
                <div class="reponse">
                    <form [formGroup]="questForm">
                        <label class="container">
                            Oui
                            <input type="checkbox" formControlName="RepOui" [(ngModel)]="repOui">
                        </label>
                        <label class="container">
                            Non
                            <input type="checkbox" formControlName="RepNon" [(ngModel)]="repNon">
                        </label>
                        
                    </form>
                </div>
                <div class="resultat">
                    <span>Résultat caché</span>
                </div>
            </div>

            <div class="questions" *ngIf="repOui == true || repNon == true">
                <div class="question1" *ngFor="let question of questionnaire; let i = index">
                    <div class="question" >
                        {{ i + 1 }} - {{ question.question }}
                    </div>
                    <div class="reponse">
                        <form [formGroup]="questFormSuite">
                            <label class="container">
                                {{ question.reponseOui }}
                                <input type="checkbox" [(ngModel)]="reponses[i]"> <span></span>
                            </label>
                            <label class="container">
                                {{ question.reponseNon }}
                                <input type="checkbox" [(ngModel)]="reponses[i]"> <span></span>
                            </label>
                        </form>
                    </div>
                    <div class="resultat">
                        <span>Résultat caché</span>
                    </div>
                </div>
                <div class="submit" *ngIf="!showAll">
                    <div class="check" (click)="onSubmit()">Valider</div>
                </div>
            </div>
            

            <div class="question1" *ngIf="showAll==true">
                <div class="question">
                    Lorem ipsum a votre avis ?
                </div>
                <div class="reponse">
                    <form [formGroup]="questForm">
                        <input type="checkbox" formControlName="RepOui"> <span>Oui</span>
                        <input type="checkbox" formControlName="RepNon"> <span>Non</span>
                    </form>
                </div>
                <div class="resultat">
                    <span>Résultat caché</span>
                </div>
            </div>
        </div>
    </div>

    <div class="description">
        <div class="description-1">
            <h3>Lorem ipsum dolor sit amet consectetur adipisicing elit. Veniam unde delectus natus velit! Laborum praesentium sunt, aliquam expedita mollitia facilis sequi cupiditate dicta blanditiis aperiam earum eius, libero porro cum?</h3>
        </div>
        <div class="description-2">
            <p>
                Ad unde praesentium explicabo quod magni consequuntur vitae. Architecto dignissimos fugiat tempora deleniti rerum omnis maiores magni, praesentium perspiciatis ullam mollitia officia suscipit hic consequatur ipsum. Fugit perferendis aliquid quos.
            </p>
            <form>
                <span>Premier contact</span>
                <input type="text">
                <input type="submit">
            </form>
        </div>
    </div>
</div>